Visitable (Alignment API and Server)
Date: 2010-03-31

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Alignment API and Server 4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.semanticweb.owl.align
Interface Visitable

All Known Subinterfaces:
  Alignment, AlignmentProcess, Cell, Relation, ValueExpression

All Known Implementing Classes:
  Apply, BasicAlignment, BasicCell, BasicRelation, ClassConstruction, ClassDomainRestriction, ClassExpression, ClassId, ClassOccurenceRestriction, ClassRestriction, ClassStructAlignment, ClassTypeRestriction, ClassValueRestriction, DistanceAlignment, EditDistNameAlignment, EDOALAlignment, EDOALCell, EDOALRelation, EquivRelation, Expression, IncompatRelation, InstanceExpression, InstanceId, JWNLAlignment, NameAndPropertyAlignment, NameEqAlignment, NonTransitiveImplicationRelation, ObjectAlignment, ObjectCell, PathExpression, PropertyConstruction, PropertyDomainRestriction, PropertyExpression, PropertyId, PropertyRestriction, PropertyTypeRestriction, PropertyValueRestriction, RelationCoDomainRestriction, RelationConstruction, RelationDomainRestriction, RelationExpression, RelationId, RelationRestriction, SMOANameAlignment, StringDistAlignment, StrucSubsDistAlignment, SubsDistNameAlignment, SubsumedRelation, SubsumeRelation, TransfService, URIAlignment, URICell, Value, ValueConstraint, WSAlignment

    public interface Visitable

The interface of the objects that can be visited by a renderer

Version:
  $Id: Visitable.java 1311 2010-03-07 22:51:10Z euzenat $
Author:
  Jérôme Euzenat

Method Summary
`void` | `accept(AlignmentVisitor visitor)`

Method Detail

### accept

    void accept(AlignmentVisitor visitor)
                throws AlignmentException

  Throws:
    `AlignmentException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Alignment API and Server 4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

(C) INRIA & friends, 2003-2010